package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务字段对象 dxp_service_item
 *
 * @author jy
 * @date 2023-01-15
 */
public class ServiceItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 共享明细关联的整合明细id */
    @Excel(name = "共享明细关联的整合明细id")
    private Long relationId;

    /** 父参数id */
    @Excel(name = "父参数id")
    private Long parentId;

    /** 服务类型：integration整合服务 share 共享服务 */
    @Excel(name = "服务类型：integration整合服务 share 共享服务")
    private String serviceType;

    /** 关联服务id */
    @Excel(name = "关联服务id")
    private Long serviceId;

    /** 参数类型：in入参，out出参 */
    @Excel(name = "参数类型：in入参，out出参")
    private String paramType;

    /** 参数名 */
    @Excel(name = "参数名")
    private String paramName;

    /** 参数中文 */
    @Excel(name = "参数中文")
    private String paramComment;

    /** 映射数据库字段 */
    @Excel(name = "映射数据库字段")
    private String mapColumnName;

    /** 数据类型：关联字典 */
    @Excel(name = "数据类型：关联字典")
    private String dataType;

    /** 是否必填（1是） */
    @Excel(name = "是否必填", readConverterExp = "1=是")
    private String isRequired;

    /** 是否可见（1可见） */
    @Excel(name = "是否可见", readConverterExp = "1=可见")
    private String isVisable;

    /** 是否可搜索（1可搜索） */
    @Excel(name = "是否可搜索", readConverterExp = "1=可搜索")
    private String isSearchable;

    /** 脱敏规则id：关联脱敏规则 */
    @Excel(name = "脱敏规则id：关联脱敏规则")
    private Long desensitizationRuleId;

    /** 排序：从小到大 */
    @Excel(name = "排序：从小到大")
    private Long sort;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRelationId(Long relationId)
    {
        this.relationId = relationId;
    }

    public Long getRelationId()
    {
        return relationId;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setServiceType(String serviceType)
    {
        this.serviceType = serviceType;
    }

    public String getServiceType()
    {
        return serviceType;
    }
    public void setServiceId(Long serviceId)
    {
        this.serviceId = serviceId;
    }

    public Long getServiceId()
    {
        return serviceId;
    }
    public void setParamType(String paramType)
    {
        this.paramType = paramType;
    }

    public String getParamType()
    {
        return paramType;
    }
    public void setParamName(String paramName)
    {
        this.paramName = paramName;
    }

    public String getParamName()
    {
        return paramName;
    }
    public void setParamComment(String paramComment)
    {
        this.paramComment = paramComment;
    }

    public String getParamComment()
    {
        return paramComment;
    }
    public void setMapColumnName(String mapColumnName)
    {
        this.mapColumnName = mapColumnName;
    }

    public String getMapColumnName()
    {
        return mapColumnName;
    }
    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public String getDataType()
    {
        return dataType;
    }
    public void setIsRequired(String isRequired)
    {
        this.isRequired = isRequired;
    }

    public String getIsRequired()
    {
        return isRequired;
    }
    public void setIsVisable(String isVisable)
    {
        this.isVisable = isVisable;
    }

    public String getIsVisable()
    {
        return isVisable;
    }
    public void setIsSearchable(String isSearchable)
    {
        this.isSearchable = isSearchable;
    }

    public String getIsSearchable()
    {
        return isSearchable;
    }
    public void setDesensitizationRuleId(Long desensitizationRuleId)
    {
        this.desensitizationRuleId = desensitizationRuleId;
    }

    public Long getDesensitizationRuleId()
    {
        return desensitizationRuleId;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("relationId", getRelationId())
                .append("parentId", getParentId())
                .append("serviceType", getServiceType())
                .append("serviceId", getServiceId())
                .append("paramType", getParamType())
                .append("paramName", getParamName())
                .append("paramComment", getParamComment())
                .append("mapColumnName", getMapColumnName())
                .append("dataType", getDataType())
                .append("isRequired", getIsRequired())
                .append("isVisable", getIsVisable())
                .append("isSearchable", getIsSearchable())
                .append("desensitizationRuleId", getDesensitizationRuleId())
                .append("sort", getSort())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
